/* marsd_io.h - MARS I/O operations */
 
/* Written 1999 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef _MARSD_H
#define _MARSDIO_H

extern u_int32_t CurrCSN, CurrSSN;
extern int CurrCMI, CheckedCMI, CurrMCSId, CheckedMCSId;
extern ATMCALL *Ccvc, *Scvc;
extern int ccvc_sd, scvc_sd;
extern u_int8_t mData, AllNodes;
extern u_int32_t InputPkts[16], OutputPkts[16];
extern u_int32_t NbInput, NbOutput, NbInputErrors, NbOutputErrors;


void init_marsd(void);

/*
 * Interface with MARS clients
 */

int send_msg_to_mclient(int sd, u_int8_t *msg, u_int msg_len);

int send_msg_to_all(int cvc_sd, u_int8_t *msg, u_int msg_len);

int recv_mclient(ATMCALL *mcl_p2p);
int dispatch_mars_msg(ATMCALL *mcl_p2p, u_int8_t *buffer, int buf_len);

#endif
