/* mcl_io.h - common MARS client (CLMB/MCS) I/O operations */
 
/* Written 1999 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef _MCL_IO_H
#define _MCL_IO_H



/* VCs for communication with marsd */
extern ATMCALL *p2p2mars, *Cvc;	/* Cvc = Control VC (CCVC/SCVC) */
extern int p2p_sd, cvc_sd;	/* associated socket descriptors */

extern u_int32_t mcl_sn;	/* mars client's copy of MARS Sequence Number */
extern char reval_all;


int get_mgroup_addr(struct in6_addr *ip6m);

void init_mars_client(enum mcl_type mcl_type);

/*
 * Interface with MARS
 */

int reopen_mars(void);
int send_msg_to_mars(u_int8_t *msg, u_int msg_len, enum mars_opcode opcode);
int recv_mars(int sd);
int dispatch_mars_msg(int sd, u_int8_t *mars_buf, int mars_len);

/* specific to CLMB */
int migrate_mvc(struct resolv_entry *res_e);
int get_former_mgroups(int itf, struct in6_addr_head **in6hp);
int process_routing_msg(int s);

/* specific to MCS */
int forward_multi_data(int sd, u_int8_t *mbuffer, int size);

#endif
