/* mcl_timeout.h - Processing of MARS client(CLMB/MCS) timeout events */
 
/* Written 1999 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef MCL_TIMEOUT_H
#define MCL_TIMEOUT_H

#define MAX_RETRIES	5
#define T_SEC		1000000		/* 1 s */
#define T_HOLD_REQ	10000000	/* 10 s */ /* 5.1.1 5 <= T <= 10 */
#define T_LAST_SEQ	10000000	/* 10 s */ /* 5.1.1 last seq of multi */
#define T_MEMBERSHIP	10000000	/* 10 s */ /* for JOIN/LEAVE */



#define START_TIMER(t, callback, u) { assert(!(u)->conn_timer); \
  (u)->conn_timer = start_timer(t, callback, u); }
#define STOP_TIMER(u) { if ((u)->conn_timer) stop_timer((u)->conn_timer); \
			(u)->conn_timer = NULL; }

void on_T_HOLD_REQ(void *user);
void on_T_LAST_SEQ(void *user);
void on_T_MEMBERSHIP(void *user);
u_long get_random_delay(u_long t_min, u_long t_max);
void on_RANDOM_FIRST_EPT(void *user);
void on_RANDOM_EPT(void *user);
void on_RANDOM_REVALID(void *user);

#endif
