/* to_mars.h - Generate outgoing MARS messages */

/* Written 12-1998 by Mohsen.Souissi@inria.fr, INRIA */


#ifndef _TOMARS_H
#define _TOMARS_H

int register_mars_client(enum mars_opcode opcode);
int deregister_mars_client(enum mars_opcode opcode);
int join_serve_mgroup(struct in6_addr *ip6m, 
		      enum mars_opcode opcode,
		      u_int16_t fl_layer3grp);
int leave_unserve_minmax(struct in6_addr *min, 
			 struct in6_addr *max, 
			 enum mars_opcode opcode,
			 u_int16_t fl_layer3grp);
int resolve_mgroup(struct resolv_entry **rslv, 
		   struct in6_addr *ip6m, 
		   u_int8_t rtm_op);
int resolve_minmax_mgroups(struct minmax_pair *pair);

void retransmit_membership_req(struct unacked_req *unacked);
int retransmit_mars_req(struct resolv_entry *entry);

int join_former_mgroups(int itf);
int join_all_nodes(void);
int leave_unserve_all(enum mars_opcode, u_int16_t fl_layer3grp);

int signoff_cluster(void);

#endif
