/* mars_def.h - Common MARS Macro definitions */

/* Written 1999 by Mohsen.Souissi@inria.fr, INRIA */

#ifndef _MARSDEF_H
#define _MARSDEF_H

#define CMI_MAX 0xffff
#define MARS_AESA {0x39, 0x25, 0x0f, 0x00, 0x00, 0x02, 0x00, 0x00, 0x00, 0x00, \
		   0x02, 0x00, 0x00, 0x00, 0x20, 0xea, 0x00, 0x2a, 0xb6, 0x00}
#define MARS_IP6_STR "3ffe:306:1051:d6db:2020:eaff:fe00:2ab6"

#ifndef ETHERTYPE_IPV6
#define ETHERTYPE_IPV6  0x86dd
#endif

#define ATMLLC_LEN	8
#define ATMMLLC_LEN	12

#define LLC_MARS_CTL {{0xaa, 0xaa, 0x03, 0x00, 0x00, 0x5e}, {0x00, 0x03}}
#define LLC_MULTI_IPV6_DEF {{0xaa, 0xaa, 0x03, 0x00, 0x00, 0x5e}, \
			    {0x00, 0x01}, {0x00, 0x00}, {0x86, 0xdd}}
#define ATMMLLC_HDRLEN 6
#define ATMMLLC_PIDLEN 2
#define ATMMLLC_TYPELEN 2


#define MOP_NAME { "<invalid>", "mars_request", "mars_multi",		\
			       "mars_mserv", "mars_join", "mars_leave",	\
			       "mars_nak", "mars_unserv", "mars_sjoin",	\
			       "mars_sleave", "mars_grouplist_request",	\
			       "mars_grouplist_reply", "mars_redirect_map", \
			       "mars_migrate" }

#define MCL_NAME {"<none>", "CLMB", "MCS" }
#define MCL_STATE_NAME {"<none>", "is_registering", \
			    "is_registered", "is_deregistering" }

/*  RFC 1626, default value for IP/ATM MTU */
#define MTU_DEFAULT		9180
/* Maximum buffer length, MTU + ATMMLLC_LEN  */
#define MAX_BUF_LEN		9192
/* MARS message fixed header length */
#define FXH_LEN			20

#endif

