/* ipatmlookup.h - ip*atm.conf file utilities */
 
/* Written 06-1998 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef LOOKUP_H
#define LOOKUP_H

#define NAME_SIZE 64
#define IP4_LEN 16
#define IP6_LEN 46
#define MAX_LEN 70

extern int ip_version;

struct ipatment {
  char name[NAME_SIZE];
  char ipaddr[IP6_LEN];
  u_char prefix[PREFIX_LEN];
  u_char esi[ESI_LEN];
};

int char2int(char c);
int string2byte(const char *str, u_char *dst);
int badip(char *addr);
u_char *getaesabyip(const char *ipatmpathconf, char *addr);
u_char *getaesabyname(const char *ip6atmpathconf, char *name);
char *getipbyname(const char *ip6atmpathconf, char *name);
char *getipbyesi(const char *ipatmpathconf, u_char *esip);


#endif
