/* scl_io.h - Signaling Client I/O operations */
 
/* Written 11-1997 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef SCL_IO_H
#define SCL_IO_H

#define BUF_LEN 64

struct child_pmsg {
    u_int8_t 		type;
    u_long 		vcc;
    char 		rname[NAME_LEN];		/* remote name */
    struct in6_addr	ip6m;
    u_int8_t 		fw_traffic_class;
    u_int8_t 		bw_traffic_class;
    int			max_fw_pcr;
    int			max_bw_pcr;
    int			max_fw_sdu;
    int			max_bw_sdu;
    u_int16_t		mcl_id;				/* for MARSD mcl Id */
};

extern int psd[2];	/* socket pair descriptors */

extern int myitf;
extern struct svc_addr my_local_atm_addr;
extern struct in6_addr my_local_ipv6_addr;
extern int sig_sd;
extern int ndp_dump;
extern const char *as_name[];

struct svc_addr *get_addr(u_int8_t *aesa, u_int8_t sel);
void init_addr(int itf, u_int8_t sel);
void sig_pipe(int signo);
int register_with_atmsigd(void);
void deregister_with_atmsigd(void);
void init_current_time(void);
int atm_cac(struct atmsvc_msg *msg);

int dispatch(struct atmsvc_msg *msg, enum atmsvc_msg_type *type);
int from_atmsigd(struct atmsvc_msg *msg, enum atmsvc_msg_type *type);
int recv_atmsigd(enum atmsvc_msg_type *type);
int send_atmsigd(u_long vcc, u_long listen_vcc, int16_t ep_ref,
		  enum atmsvc_msg_type type, int reply, 
		  const struct svc_addr *svc, const struct svc_addr *local, 
		  const struct atm_sap *sap, const struct atm_qos *qos);
int to_atmsigd(struct atmsvc_msg *msg);

/* 
 * user menu interface, these 2 functions will be defined 
 * differently for each signaling client
 */ 

int user_input(void);
int process_cmd(void);


const char *mid2name(u_int8_t mid);

#endif
