/* io.h - I/O operations */
 
/* Written 1995-1998 by Werner Almesberger, EPFL-LRC/ICA */
/* Modified 1997-1998 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef IO_H
#define IO_H

#define MAX_ADDRS 128


typedef struct {
    enum { ls_unused,ls_added,ls_removed,ls_same } state;
    int itf;
    struct svc_addr addr;
} LOCAL_ADDR;


extern LOCAL_ADDR local_addr[];
extern int myitf;
extern struct sockaddr_natm signaling_pvc;


int open_all(void);
void init_current_time(void);
void poll_loop(void);
void close_all(void);

void to_sclient(SCLIENT *scl, struct atmsvc_msg *msg);
void to_net(void *msg, int size);

int get_addr(int itf);

int get_pvc(int itf, int *vci);

#endif
